import { renderHook } from '@testing-library/react-hooks';
import { useBooleanState } from '../use-boolean-state';

describe('useBooleanState hook', () => {
  test('useBooleanState defaultValue works correctly', async () => {
    const defaultValue = false;
    const { result } = renderHook(() => useBooleanState(defaultValue));
    expect(result.current.value).toBe(defaultValue);
  });
});
